GoldLoot = CreateFrame("Frame", "GoldLoot");

Goldloot_PVPAreas = {
		["wintergrasp"]=true,
		["tol barad"]=true,
		["tol barad peninsula"]=true
	};

Goldloot_RarText = {
		[0]="|cff9d9d9dPoor|r",
		[1]="|cffffffffCommon|r",
		[2]="|cff1eff00Uncommon|r",
		[3]="|cff0070ddRare|r",
		[4]="|cffa335eeEpic|r",
		[5]="|cffff8000Legendary|r",
		[6]="|cffe5cc80Artifact|r",
		[7]="|cffe5cc80Heirloom|r"
	};

GoldLoot_StaticData = {
	["cbox"] = {
		[1] = {
			["text"] = "Autoloot/Sell junk items automaticaly.",
		},
		[2] = {
			["text"] = "Autoloot cloth",
			["stype"] = "Cloth"
		},
		[3] = {
			["text"] = "Autoloot Metal & Stone",
			["stype"] = "Metal & Stone"
		},
		[4] = {
			["text"] = "Autoloot Parts",
			["stype"] = "Parts"
		},
		[5] = {
			["text"] = "Autoloot Elemental items",
			["stype"] = "Elemental"
		},
		[6] = {
			["text"] = "Autoloot Leather",
			["stype"] = "Leather"
		},
		[7] = {
			["text"] = "Autoloot Herbs",
			["stype"] = "Herb"
		},
		[8] = {
			["text"] = "Autoloot Quest items",
		},
		[9] = {
			["text"] = "Autoloot Bind on Pickup items",
		},
		[10] = {
			["text"] = "Automaticaly repair Gear",
		},
		[11] = {
			["text"] = "Show Text When GoldLoot autoloots something.",
		},
		[12] = {
			["text"] = "Autorelease in PVP Areas.",
		}
	}
};

local function GoldLoot_SendMessage(txt,mode)
	if( DEFAULT_CHAT_FRAME and (mode == 1 or mode == 3) ) then
		DEFAULT_CHAT_FRAME:AddMessage( "|cff00cc00[GoldLoot]:|r "..txt );
	end
	if( UIErrorsFrame and (mode == 2 or mode == 3) ) then
		UIErrorsFrame:AddMessage( txt );
	end
end

local function GoldLoot_GetLinkId( link )
	local itemId = 0;
	if link then
		local _, _, idCode = link:find("|Hitem:(%d+):(%d+):(%d+):");
		itemId = tonumber( idCode or 0 );
	end

	return itemId;
end

local function GoldLoot_GetLootId( slot )
	local itemId = 0;
	local link = GetLootSlotLink( slot );
	itemId = GoldLoot_GetLinkId( link );

	return itemId;
end

-- Reset Saved Variables
local function GoldLoot_ResetData(arg1)
	if (GoldLoot_Data == nil or arg1 == "force") then
		GoldLoot_Data = {};
	end
	
	local TMP_Data = GoldLoot_Data;
	GoldLoot_Data["items"] = {};
	GoldLoot_Data["cbox"] = {};
	GoldLoot_Data["Rarity"] = 2;
	GoldLoot_Data["MinVendorPrice"] = 0;
	GoldLoot_Data["cbox"] = {};
	
	
	if (TMP_Data and arg1 ~= "force") then
		if (TMP_Data["Rarity"]) then
			GoldLoot_Data["Rarity"] = TMP_Data["Rarity"];
		end
		
		if (TMP_Data["MinVendorPrice"]) then
			GoldLoot_Data["MinVendorPrice"] = TMP_Data["MinVendorPrice"];
		end
		
		if (TMP_Data["items"]) then
			GoldLoot_Data["items"] = TMP_Data["items"];
		end
		if (TMP_Data["cbox"]) then
			local i = 0;
			for _, _ in ipairs( GoldLoot_StaticData["cbox"] ) do
				i = i + 1;
				GoldLoot_Data["cbox"][i] = {};
				if (TMP_Data["cbox"][i]["check"]) then
					GoldLoot_Data["cbox"][i]["check"] = TMP_Data["cbox"][i]["check"];
				else
					GoldLoot_Data["cbox"][i]["check"] = true;
				end
			end
		end
	end
end

-- show item list
local function  GoldLoot_ItemList()
	if (not GoldLoot_Load) then return end
	Goldloot_ListRarText = {
		[0]="cff9d9d9d",
		[1]="cffffffff",
		[2]="cff1eff00",
		[3]="cff0070dd",
		[4]="cffa335ee",
		[5]="cffff8000",
		[6]="cffe5cc80",
		[7]="cffe5cc80"
	};
	table.foreach(GoldLoot_Data["items"], function(itemInfo, LootInfo)
		if (GoldLoot_Data["items"][itemInfo] or not (GoldLoot_Data["items"][itemInfo] == 1)) then
			if (GoldLoot_Data["items"][itemInfo]["name"]) then
				GoldLoot_SendMessage("\124"..Goldloot_ListRarText[GoldLoot_Data["items"][itemInfo]["rarity"]].."\124Hitem:"..itemInfo..":0:0:0:0:0:0:0:0\124h["..GoldLoot_Data["items"][itemInfo]["name"].."]\124h\124r",1)
			else
				GoldLoot_SendMessage("\124cffffffff\124Hitem:"..itemInfo..":0:0:0:0:0:0:0:0\124h[(item#"..itemInfo..")]\124h\124r",1)
			end
		end
	return end);
end

local function GoldLoot_SetMinVendorPrice(minPrice)
	if (not GoldLoot_Load) then return end
	GoldLoot_Data["MinVendorPrice"] = minPrice;
	moneyEarnedGold = floor(minPrice/10000);
	moneyEarnedSilver = floor((minPrice - moneyEarnedGold*10000)/100);
	moneyEarnedCooper = minPrice - moneyEarnedGold*10000 - moneyEarnedSilver*100;
	if (moneyEarnedGold > 0) then
		GoldLoot_SendMessage("Minimun Vendor Price: "..format(GOLD_AMOUNT_TEXTURE,moneyEarnedGold,0,0).." "..format(SILVER_AMOUNT_TEXTURE,moneyEarnedSilver,0,0).." "..format(COPPER_AMOUNT_TEXTURE,moneyEarnedCooper,0,0)..".",1);
	elseif (moneyEarnedSilver > 0) then
		GoldLoot_SendMessage("Minimun Vendor Price: "..format(SILVER_AMOUNT_TEXTURE,moneyEarnedSilver,0,0).." "..format(COPPER_AMOUNT_TEXTURE,moneyEarnedCooper,0,0)..".",1);
	else
		GoldLoot_SendMessage("Minimun Vendor Price: "..format(COPPER_AMOUNT_TEXTURE,moneyEarnedCooper,0,0)..".",1);
	end
end
	

-- item functions
local function GoldLoot_ItemFunc(arg,func)
	if (not GoldLoot_Load) then return end
	local lEnd = 1;
	local runIndex = 0;
	while (true) do
		runIndex = runIndex + 1;
		local _, lEnd = arg:find("]\124h\124r");
		if (not (lEnd)) then
			lEnd = 1;
		end
		if (lEnd ~= 1) then
			local itemName, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc = GetItemInfo(arg:sub(1, lEnd));
			local itemID = GoldLoot_GetLinkId(itemLink);
			if (itemID ~= 0 and func == "add") then
				GoldLoot_Data["items"][itemID] = {};
				GoldLoot_Data["items"][itemID]["name"] = itemName;
				GoldLoot_Data["items"][itemID]["rarity"] = itemRarity;
				GoldLoot_Data["items"][itemID]["loot"] = true;
				GoldLoot_SendMessage(itemLink.." added to autoloot list.",1);
			elseif (itemID ~= 0 and func == "delete") then
				GoldLoot_Data["items"][itemID] = nil;
				GoldLoot_SendMessage(itemLink.." removed from autoloot list.",1);
			elseif (itemID ~= 0 and func == "idata") then
				GoldLoot_SendMessage(itemLink.." Rarity: "..Goldloot_StaticData["colortext"][itemRarity].." Type: "..itemType.."-"..itemSubType.." Level: "..itemLevel,1 );
			else
				GoldLoot_SendMessage("Error: invalid item",1 );
			end
			arg = arg:sub(lEnd+1);
		else break end
		if (lEnd >= arg:len() or runIndex > 5) then break end
	end
end



function GoldLoot_OnEvent(self, event, name)
	if (event == "LOOT_OPENED" and not(GetCVarBool("autoLootDefault"))) then
		local lootCount = GetNumLootItems();
		local lootlevel = GetLootThreshold();
		local inInstance, instanceType = IsInInstance();
		local lootmethod, masterlooterPartyID, masterlooterRaidID = GetLootMethod();
		local numQuests = GetNumQuestLogEntries();
		local GoldLoot_QuestItems = {};
		local WarnMsg = false;
		
		
		-- Get items needed for currently active quests
		if (numQuests > 0 and GoldLoot_Data["cbox"][8]["check"]) then
			ExpandQuestHeader(0);
			local QuestSelected = GetQuestLogSelection();
			for Qslot = 1, numQuests ,1 do
				SelectQuestLogEntry(Qslot);
				local numQuestChoices = GetNumQuestLeaderBoards();
				if (numQuestChoices > 0) then
					for QIslot = 1, numQuestChoices ,1 do						
						local leaderboardTxt, QLitemType, isDone = GetQuestLogLeaderBoard (QIslot);
						if ( QLitemType == "item" ) then
							local i, j, itemName, numItems, numNeeded = string.find(leaderboardTxt, "(.*):%s*([%d]+)%s*/%s*([%d]+)");
							if (not isDone) then
								GoldLoot_QuestItems[itemName] = 1;
							end
						end
					end
				end
			end
			SelectQuestLogEntry(QuestSelected);
		end
			
		if lootCount == 0 then
			GoldLoot_SendMessage(" |cFFFF0000Empty loot.",3);
			CloseLoot();
			return;
		end
		
		for slotnum = 1, lootCount do
			local canloot = false;
			local itemID = GoldLoot_GetLootId( slotnum );
			local itemName, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture, itemVendorPrice = GetItemInfo(itemID);
			local lootIcon, lootName, lootQuantity, lootRarity, locked = GetLootSlotInfo( slotnum );
			
			local InList = false;
			if (GoldLoot_Data["items"][itemID]) then
				if (GoldLoot_Data["items"][itemID]["loot"]) then
					InList = true;
				end
			end
			
			if (LootSlotIsCoin(slotnum) or LootSlotIsCurrency(slotnum)) then
				canloot = true;
			elseif (InList or itemRarity >= GoldLoot_Data["Rarity"]) then
				canloot = true;
			elseif (itemRarity==0 and GoldLoot_Data["cbox"][1]["check"] and itemVendorPrice*itemStackCount > GoldLoot_Data["MinVendorPrice"]) then
				canloot = true;
			elseif (itemType=="Trade Goods") then
				for index, _ in ipairs( GoldLoot_StaticData["cbox"] ) do
					if (GoldLoot_Data["cbox"][index]["check"] and GoldLoot_StaticData["cbox"][index]["stype"] ~= nil) then
						if (itemSubType == GoldLoot_StaticData["cbox"][index]["stype"]) then
							canloot = true;
						end
					end
				end
			elseif (GoldLoot_QuestItems[itemName]==1 and GoldLoot_Data["cbox"][8]["check"]) then
				canloot = true;
			end
			
			if (canloot == true and (not LootSlotIsCoin(slotnum) and not LootSlotIsCurrency(slotnum))) then
				if (GetNumPartyMembers()>0 or GetNumRaidMembers()>0) then
					if (lootmethod=="freeforall") then
						canloot = true;
					elseif (itemRarity < GetLootThreshold()) then
						canloot = true;	
					else
						canloot = false;
					end
				else
					canloot = true;
				end
			end
			
			if(canloot and not(locked))then 
				LootSlot(slotnum);
				if (GoldLoot_Data["cbox"][9]["check"]) then
					ConfirmLootSlot(slotnum);
				end
				StaticPopup_Hide("LOOT_BIND"); --this is here to hide the BoP warning message as i dont know of a way to check if the item is BoP
				if (LootSlotIsItem(slotnum) and (not LootSlotIsCoin(slotnum)) and not(LootSlotIsCurrency(slotnum)) and GoldLoot_Data["cbox"][11]["check"]) then
					if (lootQuantity>1) then
						GoldLoot_SendMessage("looted "..GetLootSlotLink( slotnum ).."|cff00cc00x"..lootQuantity,1);
					else
						GoldLoot_SendMessage("looted "..GetLootSlotLink( slotnum ),1);
					end
				elseif (GoldLoot_Data["cbox"][11]["check"] and GetNumPartyMembers() == 0 and GetNumRaidMembers() == 0) then
					local raw = lootName:gsub("\n",""):gsub(" ","");
					local moneyEarnedGold, moneyEarnedSilver, moneyEarnedCopper = 0, 0, 0;
					local GStart, GEnd = raw:find("Gold");
					if (GStart and GEnd) then
						moneyEarnedGold = raw:sub(1,GStart-1);
						raw = raw:sub(GEnd+1);
					end
					local SStart, SEnd = raw:find("Silver");
					if (SStart and SEnd) then
						moneyEarnedSilver = raw:sub(1,SStart-1);
						raw = raw:sub(SEnd+1);
					end
					local CStart, CEnd = raw:find("Copper");
					if (CStart and CEnd) then
						moneyEarnedCopper = raw:sub(1,CStart-1);
					end
					
					GoldLoot_SendMessage("looted "..lootName:gsub("\n"," "):gsub(moneyEarnedGold.." Gold",format(GOLD_AMOUNT_TEXTURE,moneyEarnedGold,0,0)):gsub(moneyEarnedSilver.." Silver",format(SILVER_AMOUNT_TEXTURE,moneyEarnedSilver,0,0)):gsub(moneyEarnedCopper.." Copper",format(COPPER_AMOUNT_TEXTURE,moneyEarnedCopper,0,0))..".",1);
				end
			end
		end
	elseif (event=="MERCHANT_SHOW") then
		-- junk selling
		if (GoldLoot_Data["cbox"][1]["check"]) then
			local soldItems = {};
			local moneyEarnedRaw = 0;
			for Container = 0, 5 ,1 do
				if (GetContainerNumSlots(Container)~=nil)then
					contSlots=GetContainerNumSlots(Container);
					for Slot = 1, contSlots+1 ,1 do
						contItemlink=GetContainerItemLink(Container,Slot);
						if (contItemlink~=nil)then                        
							contItemName, _, contItemQuality, _, _, contItemType, contItemSubtype, _, _, _, contItemSellPrice=GetItemInfo(contItemlink);
							contItemID = GoldLoot_GetLinkId(contItemlink);
							_, contItemCount, contItemlocked, _, _ = GetContainerItemInfo(Container,Slot);
							if(contItemQuality==0 and not(contItemlocked) and GoldLoot_Data["items"][contItemID] == nil)then
								UseContainerItem(Container,Slot);
								itemPriceRaw = contItemSellPrice*contItemCount;
								moneyEarnedRaw = moneyEarnedRaw + itemPriceRaw;
								if (soldItems[contItemID] ~= nil) then
									soldItems[contItemID] = soldItems[contItemID]+contItemCount;
								else
									soldItems[contItemID] = contItemCount;
								end
							end
						end
					end
				end
			end
			if (moneyEarnedRaw ~= 0) then
				--Show items sold
				-- the following doesn't work with *for locItemID, locItemCount ipairs( soldItems ) do* for some reason
				--table.foreach(soldItems, function(locItemID, locItemCount)
					--_, locItemlink, _, _, _, _, _, _, _, _, _ = GetItemInfo(locItemID);
					--GoldLoot_SendMessage("Sold "..locItemlink.."x"..locItemCount,1);
				--end)
				moneyEarnedGold = floor(moneyEarnedRaw/10000);
				moneyEarnedSilver = floor((moneyEarnedRaw - moneyEarnedGold*10000)/100);
				moneyEarnedCooper = moneyEarnedRaw - moneyEarnedGold*10000 - moneyEarnedSilver*100;
				if (moneyEarnedGold > 0) then
					GoldLoot_SendMessage("Collected "..format(GOLD_AMOUNT_TEXTURE,moneyEarnedGold,0,0).." "..format(SILVER_AMOUNT_TEXTURE,moneyEarnedSilver,0,0).." "..format(COPPER_AMOUNT_TEXTURE,moneyEarnedCooper,0,0)..".",1);
				elseif (moneyEarnedSilver > 0) then
					GoldLoot_SendMessage("Collected "..format(SILVER_AMOUNT_TEXTURE,moneyEarnedSilver,0,0).." "..format(COPPER_AMOUNT_TEXTURE,moneyEarnedCooper,0,0)..".",1);
				else
					GoldLoot_SendMessage("Collected "..format(COPPER_AMOUNT_TEXTURE,moneyEarnedCooper,0,0)..".",1);
				end
			end
		end
		-- auto repair (checks guild funds)
		if (CanMerchantRepair() and GoldLoot_Data["cbox"][10]["check"]) then
			local repairAllCost, canRepair = GetRepairAllCost();
			local CanGuildRepair = false;
			if (CanGuildBankRepair() and CanWithdrawGuildBankMoney() and (GetGuildBankWithdrawMoney()>repairAllCost or GetGuildBankWithdrawMoney()==-1) and GetGuildBankMoney()>repairAllCost) then
				CanGuildRepair = true;
			end
			if (canRepair and (GetMoney() > repairAllCost or CanGuildRepair)) then
				RepairAllItems(CanGuildRepair);
				moneyUsedGold = floor(repairAllCost/10000);
				moneyUsedSilver = floor((repairAllCost - moneyUsedGold*10000)/100);
				moneyUsedCooper = repairAllCost - moneyUsedGold*10000 - moneyUsedSilver*100;
				if (CanGuildRepair) then
					guildName, guildRankName, guildRankIndex = GetGuildInfo("player")
					RepairText = "Repair cost(Sponsored by "..guildName.."): ";
				else
					RepairText = "Repair cost: ";
				end
				if (moneyUsedGold > 0) then
					GoldLoot_SendMessage(RepairText..format(GOLD_AMOUNT_TEXTURE,moneyUsedGold,0,0).." "..format(SILVER_AMOUNT_TEXTURE,moneyUsedSilver,0,0).." "..format(COPPER_AMOUNT_TEXTURE,moneyUsedCooper,0,0)..".",1);
				elseif (moneyUsedSilver > 0) then
					GoldLoot_SendMessage(RepairText..format(SILVER_AMOUNT_TEXTURE,moneyUsedSilver,0,0).." "..format(COPPER_AMOUNT_TEXTURE,moneyUsedCooper,0,0)..".",1);
				else
					GoldLoot_SendMessage(RepairText..format(COPPER_AMOUNT_TEXTURE,moneyUsedCooper,0,0)..".",1);
				end
			elseif (GetMoney() < repairAllCost ) then
				GoldLoot_SendMessage("You dont have enough founds to pay the repair bill.",1);
			end
		end
	-- auto BG ress
	elseif (event=="PLAYER_DEAD" and GoldLoot_Data["cbox"][12]["check"]) then
		local inInstance, instanceType = IsInInstance();
		local canRess = HasSoulstone();
		if (((inInstance and instanceType == "pvp") or Goldloot_PVPAreas[GetRealZoneText():lower()]) and not(canRess)) then
			RepopMe();
		end
	elseif (event == "ADDON_LOADED" and name == "GoldLoot") then
		if (GoldLoot_Data == nil) then
			GoldLoot_ResetData("normal");
		end
		
		GoldLoot_Load = true;
		
		panel = CreateFrame("FRAME","GoldLoot_Config");
		panel.name = "Goldloot";
		InterfaceOptions_AddCategory(panel);
		
		cb = {};
		
		cb[0] = panel:CreateFontString("GoldLoot_OptionsTitle","ARTWORK","GameFontNormalLarge");
		cb[0]:SetPoint("TOPLEFT",16,-16);
		cb[0]:SetText("GoldLoot Options ");

		-- set the first category title
		cb[0] = panel:CreateFontString("GoldLoot_Options","ARTWORK","GameFontHighlight");
		cb[0]:SetPoint("TOPLEFT","GoldLoot_OptionsTitle","BOTTOMLEFT",-2,-8);
		cb[0]:SetText("GoldLoot Options:");
		
		for index, _ in ipairs( GoldLoot_StaticData["cbox"] ) do
			cb[index] = CreateFrame("CheckButton", "GoldLoot_Options"..index, panel,"OptionsCheckButtonTemplate");
			cb[index]:SetPoint("TOPLEFT",cb[index-1],"BOTTOMLEFT", 0, 3);
			getglobal(cb[index]:GetName() .. "Text"):SetText(GoldLoot_StaticData["cbox"][index]["text"]);
			if (GoldLoot_Data["cbox"][index]["check"] == false or GoldLoot_Data["cbox"][index]["check"] == nil) then
				cb[index]:SetChecked(false);
				GoldLoot_Data["cbox"][index]["check"]= false;
			else
				cb[index]:SetChecked(true);
			end
			
			cb[index]:SetScript("OnClick",
			function()
				if (cb[index]:GetChecked() ) then
					GoldLoot_Data["cbox"][index]["check"] = true;
				else
					GoldLoot_Data["cbox"][index]["check"] = false;
				end
			end);
		end
		
				
		local ddm1 = CreateFrame("Frame", "GoldLoot_OptionsLootRarity", panel,"UIDropDownMenuTemplate");
		--ddm1:SetPoint("TOPLEFT",cb3,"BOTTOMLEFT", 0, 10);
		ddm1:SetPoint("TOPLEFT",136,-330);
		getglobal(ddm1:GetName() .. "Text"):SetText(Goldloot_RarText[GoldLoot_Data["Rarity"]]);
		
		ts2 = panel:CreateFontString("GoldLoot_Options","ARTWORK","GameFontHighlight");
		ts2:SetPoint("TOPLEFT",16,-335);
		ts2:SetText("Minimun Loot rarity:");

				
		function ddm1:initialize ()
			local Value = GoldLoot_Data["Rarity"];

			local Info = UIDropDownMenu_CreateInfo();
			Info.func = self.OnSelect;
			Info.text = Goldloot_RarText[0];
			Info.checked = Value == nil;
			UIDropDownMenu_AddButton( Info );

			for rarityNumber, rarityText in ipairs( Goldloot_RarText ) do
				Info.text = rarityText;
				Info.arg1 = rarityNumber+1;
				Info.checked = Value == rarityNumber;
				UIDropDownMenu_AddButton( Info );
			end
		end
		
		function ddm1:OnSelect ( NewValue )
			if (NewValue ~= nil) then
				rarity = NewValue-1;
			else
				rarity = 0;
			end
			RarText = {[0]="|cff9d9d9dPoor|r", [1]="|cffffffffCommon|r", [2]="|cff1eff00Uncommon|r", [3]="|cff0070ddRare|r", [4]="|cffa335eeEpic|r", [5]="|cffff8000Legendary|r", [6]="|cffe5cc80Artifact|r", [7]="|cffe5cc80Heirloom|r"};
			GoldLoot_Data["Rarity"] = rarity;
			getglobal(ddm1:GetName() .. "Text"):SetText(Goldloot_RarText[GoldLoot_Data["Rarity"]]);
		end
	end
end

GoldLoot:SetScript("OnEvent",GoldLoot_OnEvent);
GoldLoot:RegisterEvent("LOOT_OPENED");
GoldLoot:RegisterEvent("ADDON_LOADED");
GoldLoot:RegisterEvent("MERCHANT_SHOW");
GoldLoot:RegisterEvent("PLAYER_DEAD");
GoldLoot:RegisterEvent("PLAYER_TARGET_CHANGED");

SLASH_GOLDLOOT1, SLASH_GOLDLOOT2 = "/goldloot", "/gl" 
SlashCmdList["GOLDLOOT"] = function(arg)
	arg1 = arg:lower()
	if arg1 == "reset" then
		GoldLoot_ResetData("normal");
	elseif arg1 == "resetforce" then
		GoldLoot_ResetData("force");
	elseif arg1 == "conf" then
		InterfaceOptionsFrame_OpenToCategory(panel);
	elseif arg1:sub(1, 3) == "add" then
		GoldLoot_ItemFunc(arg:sub(3,arg:len()),"add");
	elseif arg1:sub(1, 6) == "delete" then
		GoldLoot_ItemFunc(arg:sub(6,arg:len()),"delete");
	elseif arg1:sub(1, 5) == "idata" then
		GoldLoot_ItemFunc(arg:sub(5,arg:len()),"idata");
	elseif arg1:sub(1, 5) == "ilist" then
		GoldLoot_ItemList();
	elseif arg1:sub(1, 8) == "minprice" then
		GoldLoot_SetMinVendorPrice(tonumber(arg:sub(9,arg:len()) or 0));
	else
		InterfaceOptionsFrame_OpenToCategory(panel);
		GoldLoot_SendMessage("\"/gl reset/resetforce\" to reset GoldLoot's data to default.",1);
		GoldLoot_SendMessage("\"/gl config\" to configure GoldLoot.",1);
		GoldLoot_SendMessage("\"/gl add [ItemLink][ItemLink]...\" to add the specified item to the autoloot list.",1);
		GoldLoot_SendMessage("\"/gl delete [ItemLink][ItemLink]...\" to remove the specified item from the autoloot list.",1);
		GoldLoot_SendMessage("\"/gl nimprice number ****\" to set the minimun price per stack of junk to autoloot (in coppers).",1);
	end
end

------------------------------------------------ MISC FUNCTIONS NOT RELATED TO THE ADDON ITSELF (TESTING STUFF) ----------------------------------------------------------------

